コンテンツにスキップ

モニター作成

POST
/dashboard/monitors
object
type
required
string
Allowed values: http tcp ping heartbeat webchange ssl domain
name
required
string
>= 1 characters <= 100 characters
config
required

Type-specific config. Examples:

  • http: { url, method, expectedStatus, timeoutMs, headers?, keyword?, keywordMustExist? }
  • heartbeat: { graceSeconds }
  • webchange: { url, selector, checkType: “text” }
  • ssl: { hostname, warnDays }
  • domain: { domain, warnDays }
  • tcp: { hostname, port, timeoutMs }
object
intervalSeconds
integer
default: 300 >= 60 <= 86400

モニター作成成功

object
monitor
object
id
string
teamId
string
type
string
Allowed values: http tcp ping heartbeat webchange ssl domain
name
string
config

Type-specific configuration

object
intervalSeconds
integer
>= 60 <= 86400
status
string
Allowed values: up down degraded unknown paused
isActive
integer
Allowed values: 0 1
lastCheckedAt
string format: date-time
nullable
createdAt
string format: date-time
updatedAt
string format: date-time

バリデーションエラー / 無効なconfig

プラン上限到達